> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Document Draft Summaries

> Get Document Draft Summaries



## OpenAPI

````yaml /openapi/openapi_content.json get /content/documentpublishing/draft
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CONTENT">
                <h2>CONTENT</h2>
                <p>The Content APIs allow you to organize your site content into a hierarchy of folders and documents, as
                    well as control the publishing of your content to the live site with publish sets that group pending
                    changes together to publish at the same time. For more information about managing site content and the associated UI,
                    see the <a href="/pages/site-builder">Site Builder</a> and <a href="/pages/publishing">Publishing</a> user guides.</p>
                <p>Use the <strong>Document Lists</strong> and <strong>Document List Types</strong> resources to organize your site's documents into a hierarchy. Document lists can
                    contain documents, folders, and complete hierarchies of folders, which contain documents with unique
                    names. The type denotes a content type for that list of folders, sub-folders, and documents such as
                    `web_pages`.</p>
                <p>Use the <strong>Document Types</strong> and <strong>Document Property Types</strong> resources to manage the document and property types supported by the Content API.</p>
                <p>Use the <strong>Document Publishing</strong> resource to manage and publish document drafts. The 
                    related <strong>Document Publish Set</strong> resource manages publish sets and the pending content drafts.</p>
            </div>
  title: Content
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /content/documentpublishing/draft:
    get:
      tags:
        - DocumentPublishing
      summary: Get Document Draft Summaries
      description: Get Document Draft Summaries
      parameters:
        - description: maximum number of items to return
          in: query
          name: pageSize
          schema:
            format: int32
            type: integer
        - description: ''
          in: query
          name: startIndex
          schema:
            format: int32
            type: integer
        - description: ''
          in: query
          name: documentLists
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentDraftSummaryPagedCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/DocumentDraftSummaryPagedCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/DocumentDraftSummaryPagedCollection'
          description: Success
components:
  schemas:
    DocumentDraftSummaryPagedCollection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/DocumentDraftSummary'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    DocumentDraftSummary:
      description: Summary information on a Document Draft
      properties:
        activeUpdateDate:
          description: The date and time the document was last published, if any.
          format: date-time
          nullable: true
          type: string
        activeUpdatedBy:
          nullable: true
          type: string
        catalogId:
          format: int32
          nullable: true
          type: integer
        documentTypeFQN:
          description: The full name of the documentType that underlies this document.
          nullable: true
          type: string
        draftUpdateDate:
          description: The date and time the document draft was last updated.
          format: date-time
          type: string
        id:
          description: >-
            The system generated 32 digit alpha-numeric string that uniquely
            identifies the document.
          nullable: true
          type: string
        listFQN:
          description: >-
            The fully qualified name of the documentList to which the document
            belongs.
          nullable: true
          type: string
        masterCatalogId:
          format: int32
          nullable: true
          type: integer
        name:
          description: The unique name of the document.
          nullable: true
          type: string
        publishSetCode:
          nullable: true
          type: string
        publishType:
          description: "Denotes the type of draft. \r\n\"Created\" -- the document has never been published. \r\n\"Updated\" -- the document has an \"active\" version and this is a subsequent draft.\r\n\"Deleted\" -- the \"active\" document will be permanently deleted when this draft is published."
          nullable: true
          type: string
        siteId:
          format: int32
          nullable: true
          type: integer
        updatedBy:
          description: The userId or applicationId that last updated the draft document.
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````